Main Page Modules Data Structures File List Data Fields Globals Related Pages

# remote-ext.h File Reference

Go to the source code of this file.

## Data Structures
struct | pcap_rmtauth
| This structure keeps the information needed to autheticate the user on a remote machine. More...
## Defines
#define | PCAP_BUF_SIZE 1024
| Defines the maximum buffer size in which address, port, interface names are kept.
#define | PCAP_SRC_FILE 2
| Internal representation of the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_IFLOCAL 3
| Internal representation of the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_IFREMOTE 4
| Internal representation of the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_FILE_KEY "file://"
| String that will be used to determine the type of source in use (null, file, remote/local interface).
#define | PCAP_SRC_IF_KEY "rpcap://"
| String that will be used to determine the type of source in use (null, file, remote/local interface).
#define | PCAP_OPENFLAG_PROMISCUOUS 1
| pcap_open(): selects promiscuous mode
#define | PCAP_OPENFLAG_SERVEROPEN_DP 2
| pcap_open(): selects who has to open the data connection(remote capture)
#define | PCAP_OPENFLAG_UDP_DP 4
| pcap_open(): selects if the data connection has to be on top of UDP
#define | RPCAP_RMTAUTH_NULL 0
| It defines the NULL authentication.
#define | RPCAP_RMTAUTH_PWD 1
| It defines the username/password authentication.
#define | RPCAP_HOSTLIST_SIZE 1024
| Maximum lenght of an host name (needed for the RPCAP active mode).
## Functions
pcap_t * | pcap_open (const char *source, int snaplen, int flags, int read_timeout, struct pcap_rmtauth *auth, char *errbuf)
| It opens a generic source in order to capture / send (WinPcap only) traffic.
int | pcap_createsrcstr (char *source, int type, const char *host, const char *port, const char *name, char *errbuf)
| Accepts a set of strings (host name, port, ...), and it returns the complete source string according to the new format (e.g. 'rpcap://1.2.3.4/eth0').
int | pcap_parsesrcstr (const char *source, int *type, char *host, char *port, char *name, char *errbuf)
| Parses the source string and returns the pieces in which the source can be split.
int | pcap_findalldevs_ex (char *host, char *port, SOCKET sockctrl, struct pcap_rmtauth *auth, pcap_if_t **alldevs, char *errbuf)
| It creates a list of network devices that can be opened with pcap_open().
int | pcap_remoteact_accept (const char *address, const char *port, const char *hostlist, char *connectinghost, struct pcap_rmtauth *auth, char *errbuf)
| It blocks until a network connection is accepted (active mode only).
int | pcap_remoteact_list (char *hostlist, char sep, int size, char *errbuf)
| Returns the hostname of the host that have an active connection with us (active mode only).
int | pcap_remoteact_close (const char *host, char *errbuf)
| It drops an active connection (active mode only).
void | pcap_remoteact_cleanup ()
| Cleans the socket that is currently used in waiting active connections.

## Detailed Description

The goal of this file it to include most of the new definitions that should be placed into the pcap.h file.

It includes all new definitions (structures and functions like pcap_open(). Some of the functions are not really a remote feature, but, right now, they are placed here.

Definition in file remote-ext.h.

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.